Bug 8235 - Packaging scripts get upset with non-Debian perl modules
Summary: Packaging scripts get upset with non-Debian perl modules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Robin Sheat
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 15:03 UTC by Robin Sheat
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8235 - allow a whitelist of modules that aren't in Debian (1.85 KB, patch)
2012-06-11 15:05 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 8235 - allow a whitelist of modules that aren't in Debian (1.91 KB, patch)
2012-07-01 01:13 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-06-11 15:03:24 UTC
debian/update-control complains about any package that's not in the debian repo. However, some packages are in the Koha one, and it doesn't understand this. This patch makes it able to handle the extra modules that it knows about.
Comment 1 Robin Sheat 2012-06-11 15:05:10 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-06-11 15:06:51 UTC
Note: this should go happily into stable versions as well as master.
Comment 3 Chris Cormack 2012-07-01 01:13:17 UTC
Created attachment 10580 [details] [review]
Bug 8235 - allow a whitelist of modules that aren't in Debian

This allows modules that aren't in the main debian repos to be handled
by the list-deps script when building a control file.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Jonathan Druart 2012-07-02 14:59:17 UTC
For discusion:

Isn't it more clean to add a key in the C4::Installer::PerlDependencies::PERL_DEPS hash (like debian) ?
Rather than have to modify 2 files (1 pl and 1 pm) ?
Comment 5 Robin Sheat 2012-07-02 15:48:33 UTC
Possibly, but these things are pretty rare, I'd hope to not have more than a handful floating around at any one time.
Comment 6 Paul Poulain 2012-07-10 12:16:33 UTC
QA comment : tiny patch, passes QA
Comment 7 Paul Poulain 2012-07-10 12:18:08 UTC
patch pushed (without testing, but small patch, sounds logical, high level of "trustability" for author and signoffer !)
Comment 8 Chris Cormack 2013-04-20 10:55:58 UTC
This was released in 3.10.0